Snow Leopard Watch

Here are the latest reports we’ve received on what’s changed in Snow Leopard, and what compatibility issues you might encounter. We’ll be updating this page on an ongoing basis, and you may find useful comments from fellow readers on some of these posts.


Apogee: Confirmed compatible
Apogee of course has the luxury of not supporting Windows, so it comes as little surprise that they’re on top of Snow Leopard.

As of 8/28, Apogee released this official statement:

Apogee Electronics is pleased to announce Snow Leopard compatibility for Duet, ONE, Mini-FW, USB and X-Firewire interfaces. Updated Apogee software is available immediately from our website here:

New features of Snow Leopard-compatible Apogee software include:

  • Snow Leopard compatibility.
  • A single version of Maestro is now compatible with all Apogee products, including ONE and X-Firewire-equipped interfaces.
  • Symphony Mobile systems now support SBus connection.

Snow Leopard-compatible software for Ensemble will be released next week (by Sept.4th), while Symphony software and drivers will be released the following week (by Sept. 9th). Please check the Apogee website for further announcements.

“Compatible,” however, doesn’t mean that no one will have issues – this is a new, relatively untested operating system. We have at least one report of a user having trouble with the Duet card. The Duet may not itself be the variable; we’ll keep an eye on this.

Updated: As of October 2, Symphony 64 is also compatible. Apogee’s latest statement:

New features of Snow Leopard-compatible Apogee software include:

Snow Leopard compatibility.
A single version of Maestro is now compatible with all Apogee products.
Symphony Mobile now compatible with SBus

Avid/M-Audio: Updates coming in “coming weeks”
From Avid/M-Audio, no real news yet, but information expected soon (8/28/09):

Avid/M-Audio is pleased to hear that Apple has released Mac OS X 10.6 Snow Leopard. We’ve been working closely with Apple to bring Snow Leopard support to the M-Audio® product line, as well as the Pro Tools® product line and extended product families. We ask that all existing Mac users please wait to upgrade until we officially announce Snow Leopard support. Stay tuned for more information in the coming weeks.

Metric Halo: Confirmed compatible; driver updates available now with 64-bit support, too
Metric Halo has updates for its hardware, and (while there’s no software to take advantage of it yet), even delivers on 64-bit support. Thanks to Geert Bevin for the tip! (8/29/09)

MOTU: Confirmed compatible; driver updates available now
See information on minimum drivers required, grab hardware driver updates released with 10.6 compatibility, and MOTU’s main update page. (8/28/09)

Tascam: Testing in progress; driver updates coming Confirmed Compatible
Tascam’s Jeff Laity was one of the early reports we got – with some initial wrinkles with USB (a reminder that you need to check for support.) As of September 2, however, all USB interfaces from Tascam have been certified for Snow Leopard. That includes the US-122L, US-144, and the US-1641.

PreSonus Drivers: Beta available
8/28/09: After indications support might not be possible on launch day, PreSonus is coming through with “beta” drivers. (Note that “beta” might be a good way to consider support in general from any vendor, just because the OS is new!)

Rick Naqvi of PreSonus tells CDM:

Earlier in the week, I was told that we weren’t going to have Snow Leopard driver until October, but our engineers worked overtime the last week or so to release a beta driver that is fully functional. We have tested it internally and it is working well and allows for daisychaining of interfaces and full feature functionality. This driver will work with all of our Firestudio Family Interfaces including:

Firestudio 2626
Firestudio Project
Firestudio Lightpipe
Firestudio Tube
Firestudio Mobile

Our other interfaces are class compliant and are going to be immediately supported on Snow Leopard:

FP10 / Firepod

(8/26/09 original report: PreSonus Hardware: First Show-Stopper Mac OS 10.6 Problem)

Also, via glassyglaze onTwitter :

I wrote to Focusrite asking for #snowleopard compatibility with my Saffire before upgrade,they told me it’s tested and working…


Antares: Known compatible – UPDATES Antares has released an official statement regarding 10.6. (8/27/09):

Just a quick note to let everyone know that new Mac versions of all of our products are now available for download. These versions are required for Mac OS X 10.6 (Snow Leopard), which will be released by Apple tomorrow. They are all free updates for registered owners of the various products. “

(Thanks, Andrew Bartos!)
Update Download Page [Antares]

AudioFinder 4.9.5: Known compatible
Developer Iced Audio confirms 4.9.5 has been tested and is known to work. (8/27/09)

Circle, Future Audio Workshop: Suspected issues
The developers at Circle are working on adding complete support. The latest blog entry (8/31/09), which recommends reading this page (thanks!):

Snow Leopard is now shipping and we are getting in reports of issues. The current status of Circle and Snow Leopard is that we do not officially support it at this point. If you have upgraded and are encountering issues please contact us through

SoundFlower: Install problem (workaround?) A bug report suggests a critical error with SoundFlower on 10.6, but using a Rogue Amoeba installer may resolve the issue. See the full bug thread below. (8/27/09)
Issue 27: Not compatible with Snow Leopard 10.6 [Google Code]

Plogue Bidule, Garritan Personal Orchestra and Steinway Piano, ARIA sampler: Known compatible
Plogue Software confirms that their products (and software from Garritan) works (8/26/09):

10.6 and W7 each caused only minor modifications to our code base, however these mods are necessary for proper functioning of our products on those platforms. Most of our transition efforts as a company will be of a user support nature.

Plogue’s David Viens notes that upgrading to any OS “without a hint of caution” is deserving of “a new kind of Darwin Award Prize.”
See: Snow Leopard Round-Up

Native Instruments Software: Preliminary compatibility
NI reports that their initial testing has been successful but urges caution (8/26/09)

Native Instruments has conducted initial compatibility tests with Mac OS X 10.6, which have shown all current NI products to work without any specific issues under standard installations of this operating system. However, users involved in professional audio production or live performance should be cautious about upgrading to Mac OS X 10.6 until compatibility with third-party audio software and hardware has been widely confirmed by the relevant manufacturers.

See: Snow Leopard Round-Up

Ableton Live: Preliminary compatibility; update and official support expected soon
Ableton does not yet recommend updating (neither does CDM), but notes positive early tests and anticipates full support – with an update – in the next few weeks for Live 8. Live 7 is also expected to work, with official information to follow. (8/27/09)

10.6 is not officially supported yet, as we’re currently testing it with Live 8 and based on the results we will release a free bugfix update during the next weeks that will officially support 10.6.

Full note from Ableton technical support:
Snow Leopard Watch: Ableton, Propellerhead Respond
See also: Snow Leopard Round-Up

MOTU: Confirmed compatible (latest versions), except Ethno Instrument
MOTU has confirmed compatibility of their software with 10.6, but note that early versions of their software may not work. See the minimum required version, which includes Digital Performer 6.02 and MachFive 2.0.2. (Earlier versions may still work, of course, but at your own risk.) PACE drivers may also need to be updated for iLok-protected products. See the full MOTU Snow Leopard report. (8/28/09)

PACE Anti-Piracy drivers / iLok dongle: Confirmed compatible with update
PACE Anti-Piracy tends not to communicate directly, but MOTU has confirmed that PACE and the iLok work with updates. Grab the latest iLok installer at (8/28/09)

PreSonus Studio One: Confirmed Compatible
The new DAW from PreSonus works with Snow Leopard, PreSonus tells CDM. (8/28/09)

Avid Pro Tools: Unsupported; more information coming
As is generally the case with Pro Tools’ certification process, there’s no solid information just yet, but we expect more soon. From Avid’s site (8/28/09):

Apple has announced that they will begin shipping the new Mac OS X 10.6 Snow Leopard 64-bit operating system on August 28th. Avid is working closely with Apple to deliver compatible, high-quality versions of Pro Tools® as soon as possible. Please check back periodically for updates on Avid’s Snow Leopard support status.

You’ll find an identically-worded statement for Windows 7.

Propellerhead (Full Line): Known compatible; some cosmetic issues
Propellerhead says in an official statement their software works, with minor cosmetic issues (note that ReCycle requires that you activate Rosetta) (8/27/09):

Our products have been tested on this new OS X version and we are happy to report that all our applications are fully functional.

Full statement: Snow Leopard Watch: Ableton, Propellerhead Respond

Sibelius: Confirmed compatible; UPDATE available
Daniel Spreadbury of Sibelius and the Sibelius Blog notes in CDM comments that Sibelius has an official 10.6-specific update. (8/28/09)

We have released a small update for Sibelius 6 for Mac that provides compatibility with Mac OS X 10.6 Snow Leopard. Details here. Older versions of Sibelius are not officially supported on Mac OS X 10.6, but there are no major problems that will prevent them from running; details also at the page above.

Workarounds for earlier versions are available and appear to be permissions-related. You’ll also need to make sure you run Safari in 32-bit mode for the Scorch plug-in to work.

Apple Logic Studio: Unknown
Apple software does sometimes get updated for OS releases, as well, and not always on launch day. We’re awaiting a response from Apple on compatibility for Logic Studio 9 (and other releases).

Resources Elsewhere

If you do decide to make the leap, Lifehacker walks you through the steps to a safe upgrade, including the all-important backup step.

Macworld Magazine has an excellent early review of Snow Leopard. Short version: various Mac system tasks get a speed boost, but there’s no indication yet that you’ll get much improvement out of applications (which is expected given what has and has not changed).

There’s also a nice meta-review / review round-up on Boing Boing Gadgets. It’s actually nice to separate the reasonable voices from the, um, sillier ones.

For round-ups of issues somewhat like this (though without the audio focus), see The Register and the Snow Leopard wikidot wiki.

Additional Notes

Under-the-hood changes: See the initial Snow Leopard round-up for commentary on Audio MIDI Setup and why 64-bit changes aren’t yet relevant to audio work.

64-bit statement from MOTU: MOTU is the only vendor that so far has released any statement regarding upcoming 64-bit support. That means that, at launch, while there is a 64-bit kernel mode in Snow Leopard, not a single major application can use it for audio. MOTU is planning support at an undetermined time in the future, however:

MOTU engineering teams are hard at work developing support for Snow Leopard’s new, optional 64-bit mode. For now, however, Snow Leopard defaults to 32-bit mode, and all newer Mac models that have the ability to support 64-bit mode (from late 2008 onward) default to 32-bit mode. Therefore, until 64-bit support becomes more widespread for the Mac in general, MOTU recommends running Snow Leopard in 32-bit mode. Stay tuned to for future announcements about 64-bit support in MOTU hardware drivers and software products.

No need for Snow Leopard for more memory:
For information on making more memory available even without 64-bit (up to 32GB in the case of Kontakt and 4GB per instance in the case of EXS24 – with only hardware-limited number of instances), see:

[Native Instruments] Kontakt, Battery: Enhanced, More Compatible, 64-bit Memory [CDM]

Logic Pro/Express 8: How the EXS24 sampler addresses RAM in Logic 8 [Apple Support]